From f89729bf8392e1819b000953946967078e691ea8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Thu, 1 Mar 2012 23:35:31 +0100
Subject: [PATCH 08/10] bluray: Store the meta informations in p_sys

Conflicts:

	modules/access/bluray.c
---
 modules/access/bluray.c |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/modules/access/bluray.c b/modules/access/bluray.c
index b83a094..201b391 100644
--- a/modules/access/bluray.c
+++ b/modules/access/bluray.c
@@ -99,6 +99,9 @@ struct  demux_sys_t
     unsigned int        i_longest_title;
     input_title_t       **pp_title;
 
+    /* Meta informations */
+    const META_DL       *p_meta;
+
     /* Menus */
     bool                b_menu;
     bluray_overlay_t    *p_overlays[MAX_OVERLAY];
@@ -239,6 +242,10 @@ static int blurayOpen( vlc_object_t *object )
     }
 
     /* Get titles and chapters */
+    p_sys->p_meta = bd_get_meta( p_sys->bluray );
+    if( p_sys->p_meta == NULL )
+        goto error;
+
     if (blurayInitTitles(p_demux) != VLC_SUCCESS) {
         goto error;
     }
@@ -895,11 +902,8 @@ static int blurayControl(demux_t *p_demux, int query, va_list args)
 
         case DEMUX_GET_META:
         {
-            const struct meta_dl *meta = bd_get_meta(p_sys->bluray);
-            if(!meta)
-                return VLC_EGENERIC;
-
             vlc_meta_t *p_meta = (vlc_meta_t *) va_arg (args, vlc_meta_t*);
+            const META_DL   *meta = p_sys->p_meta;
 
             if (!EMPTY_STR(meta->di_name)) vlc_meta_SetTitle(p_meta, meta->di_name);
 
-- 
1.7.9.2

